# RPM spec file for GKrellm

Summary:	Multiple stacked system monitors: 1 process.
Name:		gkrellm
Version:	0.9.10
Release:	1
Copyright:	GPL
Group:		X11/Utilities
Source:		http://web.wt.net/~billw/gkrellm/gkrellm-%{version}.tar.gz
Vendor:		Bill Wilson <bill@gkrellm.net>
Packager:	Bill Wilson <bill@gkrellm.net>
Requires:	gtk+ >= 1.2, glib >= 1.2, imlib
BuildRoot:	/var/tmp/gkrellm-root

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%changelog
* Thu Apr 6 2000 Bill Wilson
- added INCLUDEDIR to the make install

* Fri Oct 29 1999 Gary Thomas <gdt@linuxppc.org>
- .spec file still broken

* Thu Oct 7 1999 David Mihm <davemann@ionet.net>
- fixed spec.

%prep
%setup -q -n gkrellm-0.9.10

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
make install INSTALLDIR=$RPM_BUILD_ROOT/usr/X11R6/bin INCLUDEDIR=$RPM_BUILD_ROOT/usr/include

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT Changelog README Themes
%doc INSTALL gkrellmrc

/usr/X11R6/bin/gkrellm
/usr/include/gkrellm/gkrellm.h
/usr/include/gkrellm/gkrellm_public_proto.h
/usr/include/gkrellm/gkrellm_private_proto.h
